Album: Homestuck
Directory: homestuck-technolich
Directory Suffix: technolich
Artists:
- technolich
Date: November 9, 2012
Date Added: April 13, 2025
URLs:
- https://plaidumbrella.bandcamp.com/album/homestuck
Cover Artists:
- technolich
Color: '#4ee250'
Groups:
- Fandom
Cover Art File Extension: png
Wallpaper File Extension: png
Wallpaper Style: |-
    opacity: 0.8;
    background-repeat: no-repeat;
    background-size: 1920px;
Wallpaper Artists:
- technolich
- Lilithtreasure (edits for wiki)
Commentary: |-
    <i>technolich:</i> ([Bandcamp about blurb](https://plaidumbrella.bandcamp.com/album/homestuck))

    Free Homestuck Remixes! Donate if you want, but the music is 100% free. Special thanks to [[artist:andrew-hussie]] and [[group:official|the music team]] for creating Homestuck and all it's gorgeous music.
---
Section: Track list
Description: >-
    [[track:strings-of-skaia]] was added [[date:1/25/2013]] and [[track:even-in-death-ver-2-technolich]] was added [[date:7/11/2013]]; this is the final track list as of [[date:7/11/2013]].
---
Track: Even In Death (Ver. 2)
# new_date: 11 Jul 2013 00:55:45 GMT
# mod_date: 11 Jul 2013 00:55:45 GMT
Date First Released: July 11, 2013
Suffix Directory: true
URLs:
- https://plaidumbrella.bandcamp.com/track/even-in-death-ver-2
Duration: 3:28
Referenced Tracks:
- Even in Death
Commentary: |-
    <i>technolich:</i> ([Bandcamp about blurb](https://plaidumbrella.bandcamp.com/track/even-in-death-ver-2))

    Redone version of [[Even In Death]]. It's one of my favorite songs from Homestuck so I really wanted to do something else with it.
---
Track: Even In Death
# new_date: 08 Nov 2012 23:09:44 GMT
# mod_date: 11 Jul 2013 00:55:44 GMT
Suffix Directory: true
Always Reference By Directory: true
URLs:
- https://plaidumbrella.bandcamp.com/track/even-in-death
- https://www.youtube.com/watch?v=yNkJ7xhUiYU
Duration: 3:13
Referenced Tracks:
- Even in Death
Commentary: |-
    <i>technolich:</i> ([YouTube description](https://www.youtube.com/watch?v=yNkJ7xhUiYU), excerpt, 1/25/2012)

    Miiiiiight [[Even In Death (Ver. 2)|redo this again]] and try for a little middle eastern sounding. As for now, I think it's okay for a dancy song.

    Also this was all done by ear!
---
Track: Upward Movement
# new_date: 07 Nov 2012 20:53:53 GMT
# mod_date: 11 Jul 2013 00:55:44 GMT
Suffix Directory: true
URLs:
- https://plaidumbrella.bandcamp.com/track/upward-movement
Duration: 3:07
Referenced Tracks:
- Upward Movement (Dave Owns)
---
Track: Sburban Jungle
# new_date: 08 Nov 2012 23:09:44 GMT
# mod_date: 11 Jul 2013 00:55:44 GMT
Suffix Directory: true
Additional Names:
- Name: >-
    SBURBan Jungle Dub
  Annotation: >-
    [YouTube](https://www.youtube.com/watch?v=ShvZCSgSW3Y)
Always Reference By Directory: true
URLs:
- https://plaidumbrella.bandcamp.com/track/sburban-jungle
- https://www.youtube.com/watch?v=ShvZCSgSW3Y
Duration: 5:09
Referenced Tracks:
- Sburban Jungle
Commentary: |-
    <i>technolich:</i> ([YouTube description](https://www.youtube.com/watch?v=ShvZCSgSW3Y), 9/21/2011)

    I know it's not EXACTLY dubstep, but my first try at it. I grew up playing violin, so I prefer higher pitched music, but I'm trying to expand my horizons. Anyway, enjoy and feel free to download. This song will be one of the songs on my latest remix album, The Healthy Fires. I don't know when the full album will be available for download, but it's coming along.<br>
    My remix albums are free.
---
Track: Stringburban Jungle
# new_date: 08 Nov 2012 23:09:45 GMT
# mod_date: 11 Jul 2013 00:55:44 GMT
Additional Names:
- Name: >-
    SBURBan Jungle String Orchestra Arrangement
  Annotation: >-
    [YouTube](https://www.youtube.com/watch?v=efHotWkyB-k)
URLs:
- https://plaidumbrella.bandcamp.com/track/stringburban-jungle
- https://www.youtube.com/watch?v=efHotWkyB-k
Duration: 3:38
Referenced Tracks:
- Sburban Jungle
Commentary: |-
    <i>technolich:</i> ([YouTube description](https://www.youtube.com/watch?v=efHotWkyB-k), excerpt, 7/30/2011)

    Done completely in Reason 5. It's done both with sheet music and by ear.<br>
    Enjoy.

    <i>technolich:</i> ([YouTube description](https://www.youtube.com/watch?v=efHotWkyB-k), excerpt)

    Okay before any of you say anything else: I don't have sheet music for this. I used some piano stuff I found on the forums. That's it. The rest is done by ear. So stop calling me a bitch or I might actually start being one. I hardly see how I'm in the wrong on this whole thing.

    Maybe I should just take the video down, or disable comments. That'd solve all my problems, wouldn't it?

    To think I did this for fun and now I've got homestucks attacking me. This is why I avoid the fandom.

    <i>technolich:</i> ([YouTube description](https://www.youtube.com/watch?v=efHotWkyB-k), excerpt)

    EDIT: Comment have been disabled. I'm tired of this.

    <i>Quasar Nebula:</i> (wiki editor, 4/8/2025)

    YouTube descriptions don't include edit histories, so we don't know exactly when the later parts were added, but the original description directly precedes a download link and is of the same sort as other descriptions (which were probably never edited).

    They probably predate the [[track:strings-of-skaia]], whose description refers back to this sheet music harrassment stuff.
---
Track: Doctor
# new_date: 09 Nov 2012 02:47:01 GMT
# mod_date: 11 Jul 2013 00:55:44 GMT
Suffix Directory: true
Always Reference By Directory: true
URLs:
- https://plaidumbrella.bandcamp.com/track/doctor
- https://www.youtube.com/watch?v=y4rNS6uCoJY
Duration: 3:28
Referenced Tracks:
- Doctor
Commentary: |-
    <i>technolich:</i> ([YouTube description](https://www.youtube.com/watch?v=y4rNS6uCoJY), excerpt, 8/20/2012)

    Uhhhh yeah here's my next remix... From homestuck. ;u;
---
Track: Sunsetter
# new_date: 08 Nov 2012 23:09:45 GMT
# mod_date: 11 Jul 2013 00:55:44 GMT
Suffix Directory: true
Additional Names:
- Name: >-
    Sunslammer Remix
  Annotation: >-
    [YouTube](https://www.youtube.com/watch?v=BuC8DFRKs9o)
Always Reference By Directory: true
URLs:
- https://plaidumbrella.bandcamp.com/track/sunsetter
- https://www.youtube.com/watch?v=BuC8DFRKs9o
Duration: 3:43
Referenced Tracks:
- Sunsetter
Commentary: |-
    <i>technolich:</i> ([YouTube description](https://www.youtube.com/watch?v=BuC8DFRKs9o), 9/21/2011)

    Another remix of Homestuck music.
---
Track: Strings of Skaia
# new_date: 25 Jan 2013 07:40:10 GMT
# mod_date: 11 Jul 2013 00:55:45 GMT
Date First Released: January 25, 2013
URLs:
- https://plaidumbrella.bandcamp.com/track/strings-of-skaia
- https://www.youtube.com/watch?v=mJcxy5NDip8
Duration: 2:40
Referenced Tracks:
- Skies of Skaia
Commentary: |-
    <i>technolich:</i> ([YouTube description](https://www.youtube.com/watch?v=mJcxy5NDip8), excerpt, 1/25/2013)

    Ummm something I put together in Reason. THERE IS NO SHEET MUSIC. NONE. DON'T ASK FOR IT. IT WOULD BE BORING TO PLAY, ANYWAY. WORSE THE [[CANON IN D]].
